---
title: PositionOptions.enableHighAccuracy
slug: Web/API/PositionOptions/enableHighAccuracy
tags:
  - API
  - Geolocation API
  - NeedsExample
  - PositionOptions
  - Property
  - Reference
  - Secure context
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>PositionOptions.enableHighAccuracy</strong></code> property is a {{domxref("Boolean")}} that indicates the application would like to receive the best possible results. If <code>true</code> and if the device is able to provide a more accurate position, it will do so. Note that this can result in slower response times or increased power consumption (with a GPS chip on a mobile device for example). On the other hand, if <code>false</code> (the default value), the device can take the liberty to save resources by responding more quickly and/or using less power.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>positionOptions</var>.enableHighAccuracy = <var>booleanValue</var>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('Geolocation', '#dom-positionoptions-enablehighaccuracy', 'PositionOptions.enableHighAccuracy')}}</td>
			<td>{{Spec2('Geolocation')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PositionOptions.enableHighAccuracy")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/WebAPI/Using_geolocation">Using geolocation</a></li>
	<li>The {{domxref("PositionOptions")}} interface it belongs to.</li>
</ul>
